GET
/v1/commissions/{id}
curl \
--request GET 'https://api.lwolf.com/backoffice/v1/commissions/{id}'
Response examples (200)
{
"id": "string",
"createdTimestamp": "string",
"modifiedTimestamp": "string",
"agentId": "string",
"officeId": "string",
"amount": 0,
"percentage": 0,
"endCode": "B",
"endCount": 0,
"calculationMethodCode": "A",
"taxAmount": 0,
"totalFeeAmount": 0,
"totalFeeTaxAmount": 0,
"fees": [
{
"id": "string",
"createdTimestamp": "string",
"modifiedTimestamp": "string",
"percentage": 0,
"amount": 0,
"calculationMethodCode": "A",
"taxAmount": 0,
"taxPercentage": 0,
"paymentMethodCode": "string",
"fee": {
"shortName": "string",
"name": "string"
}
}
],
"agent": {
"firstName": "string",
"middleName": "string",
"lastName": "string"
},
"office": {
"name": "string",
"code": "string"
}
}
Response examples (400)
{
"id": "string",
"code": 0,
"message": "string",
"details": [
"string"
]
}
Response examples (401)
{
"id": "string",
"code": 0,
"message": "string",
"details": [
"string"
]
}
Response examples (403)
{
"id": "string",
"code": 0,
"message": "string",
"details": [
"string"
]
}
Response examples (404)
{
"id": "string",
"code": 0,
"message": "string",
"details": [
"string"
]
}